<template>
  <v-form>
    <v-container>
      <v-data-table v-model="selectedProduct" 
        :headers="headers"
        :items="listProducts"
        item-key="sku"
        @click:row="getDetail">
      </v-data-table>
      <v-btn @click="enterURL()">Enter URL</v-btn>
    </v-container>
  </v-form>  
</template>

<script>
import axios from 'axios';

export default {
  name: 'List',
  data: () => ({
    listProducts: [],
    headers: [
      { text: 'SKU', align: 'start', sortable: false, value: 'sku' },
      { text: 'Product Name', align: 'start', sortable: false, value: 'name' },
      { text: 'Price', align: 'start', sortable: false, value: 'offers.price' }
    ],
    selectedProduct: []
  }),
  methods: {
    getProducts() {
      axios.get('http://localhost:8990/api/product/list')
        .then(response => {
          this.listProducts = response.data
        })
        .catch(error => {
          console.log(error)
        })
    },
    getDetail(dataRow) {
      console.log(dataRow.sku)
      window.location = '/detail/' + dataRow.sku
    },
    enterURL() {
      window.location = '/'
    }
  },
  created() {
    this.getProducts()
  }
}
</script>